/* eslint-disable prettier/prettier */
<template>
  <a href="http://google.com" class="card">
    <img
      v-if="image"
      class="w-full"
      :src="image"
      alt="Sunset in the mountains"
    />
    <div class="px-6 py-4">
      <div class="title font-bold text-xl mb-2">{{ title }}</div>
      <p v-if="summary" class="summary">
        {{ summary }}
      </p>
    </div>
    <div class="px-6 py-4">
      <span class="inline-block tag">#photography</span>
      <span class="inline-block tag">#travel</span>
      <span class="inline-block tag">#winter</span>
    </div>
  </a>
</template>
<script>
export default {
  props: {
    title: {
      type: String,
      required: true
    },
    summary: {
      type: String,
      default: null,
      required: false
    },
    image: {
      type: String,
      default: null,
      required: false
    }
  }
}
</script>

<style lang="scss" scoped>
.tag {
  @apply bg-gray-200 rounded-full px-3 py-1 text-sm font-semibold text-gray-700;
}
a {
  &.card {
    @apply bg-white rounded overflow-hidden shadow-lg m-2;
  }
  &.visited {
    @apply opacity-25;
  }
}
@screen sm {
  a.card {
    @apply max-w-sm;
  }
}
@screen md {
  a.card {
    @apply max-w-full;
  }
}
@screen lg {
  a.card {
    @apply max-w-sm;
  }
}
</style>
